# dkim_canon_t

[back to index]

DESCRIPTION

Purpose

A `dkim_canon_t` is a value from an enumerated list of the possible message canonicalization algorithms available. It is passed as a parameter to `dkim_sign()` when selecting a canonicalization algorithm to be used when preparing a message body for signing. It need not be passed to `dkim_verify()` as that function will determine the canonicalization algorithm for verification based on the signature on an arriving message.

Possible Values

- `DKIM_CANON_RELAXED` -- "relaxed" canonicalization as defined in RFC6376
- `DKIM_CANON_SIMPLE` -- "simple" canonicalization as defined in RFC6376

Copyright (c) 2005, 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.